package com.tencent.mm.console;

import android.content.Intent;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.console.Shell.a;
import com.tencent.mm.kernel.g;
import com.tencent.mm.sdk.platformtools.ah;
import com.tencent.sqlitelint.config.SharePluginInfo;

class Shell$2 implements a {
    Shell$2() {
    }

    public final void s(Intent intent) {
        AppMethodBeat.i(16110);
        if (ah.bqo()) {
            String stringExtra = intent.getStringExtra(SharePluginInfo.ISSUE_KEY_SQL);
            String stringExtra2 = intent.getStringExtra("file");
            if (stringExtra == null || stringExtra.length() <= 0) {
                if (stringExtra2 != null && stringExtra2.length() > 0) {
                    g.RS().aa(new 2(this, stringExtra2));
                }
                AppMethodBeat.o(16110);
                return;
            }
            g.RS().aa(new 1(this, stringExtra));
            AppMethodBeat.o(16110);
            return;
        }
        AppMethodBeat.o(16110);
    }
}
